using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page
{
	class TitleTemplate : ITemplate
	{
		Image img;
		public TitleTemplate()
		{
			img = new Image();
		}
		public TitleTemplate(string imgUrl)
			: this()
		{
			img.ImageUrl = imgUrl;
		}

		public void InstantiateIn(Control container)
		{
			img.ID = "Handle";
			img.Style.Add(HtmlTextWriterStyle.PaddingTop, "3px");
			img.AlternateText = "Drag RadDock";
			container.Controls.Add(img);
		}
	}

	protected void Page_Load(object sender, EventArgs e)
	{
		TitleTemplate title = new TitleTemplate("~/img/RefreshImage.png");
		RadDock1.TitlebarTemplate = title;

		RadDock1.OnClientInitialize = "SetHandle";
	}
}
